OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.IBM.StaticData

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetIBMStaticData :: MonadIO m => m Bool
- gl_IBM_static_data :: Bool
- gl_ALL_STATIC_DATA_IBM :: GLenum
- gl_STATIC_VERTEX_ARRAY_IBM :: GLenum
- glFlushStaticDataIBM :: MonadIO m => GLenum -> m ()

# Extension Support

glGetIBMStaticData :: MonadIO m => m Bool

Is the IBM_static_data extension supported?

gl_IBM_static_data :: Bool

Is the IBM_static_data extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetIBMStaticData` in those cases instead.

# Enums

gl_ALL_STATIC_DATA_IBM :: GLenum

gl_STATIC_VERTEX_ARRAY_IBM :: GLenum

# Functions

glFlushStaticDataIBM

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m () |